[youtubei.js](../../../../README.md) / [YTMusic](../README.md) / Explore

# Class: Explore

Defined in: [src/parser/ytmusic/Explore.ts:14](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/ytmusic/Explore.ts#L14)

## Constructors

### Constructor

> **new Explore**(`response`): `Explore`

Defined in: [src/parser/ytmusic/Explore.ts:20](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/ytmusic/Explore.ts#L20)

#### Parameters

##### response

[`ApiResponse`](../../../../interfaces/ApiResponse.md)

#### Returns

`Explore`

## Properties

### sections

> **sections**: [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`MusicCarouselShelf`](../../YTNodes/classes/MusicCarouselShelf.md)\>

Defined in: [src/parser/ytmusic/Explore.ts:18](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/ytmusic/Explore.ts#L18)

***

### top\_buttons

> **top\_buttons**: [`MusicNavigationButton`](../../YTNodes/classes/MusicNavigationButton.md)[]

Defined in: [src/parser/ytmusic/Explore.ts:17](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/ytmusic/Explore.ts#L17)

## Accessors

### page

#### Get Signature

> **get** **page**(): [`IBrowseResponse`](../../../../type-aliases/IBrowseResponse.md)

Defined in: [src/parser/ytmusic/Explore.ts:37](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/ytmusic/Explore.ts#L37)

##### Returns

[`IBrowseResponse`](../../../../type-aliases/IBrowseResponse.md)
